Page MenuHomePhabricator

Avoid over-escaping video URLs
ClosedPublic

Authored by Gilles on Jan 24 2018, 1:04 PM.

Details

Maniphest Tasks
T183907: Thumbor 500 while thumbnailing some webm files
Reviewers
fgiunchedi
Commits
rTHMBREXT2737d17060bf: Avoid over-escaping video URLs
Patch without arc
git checkout -b D952 && curl -L https://phabricator.wikimedia.org/D952?download=true | git apply
Summary

Refs T183907

Diff Detail

Repository
rTHMBREXT Thumbor Plugins
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Gilles created this revision.Jan 24 2018, 1:04 PM
Gilles requested review of this revision.Jan 24 2018, 1:05 PM
fgiunchedi added inline comments.Jan 31 2018, 12:08 PM
wikimedia_thumbor/loader/video/__init__.py
235

A comment explaining the reasoning/rationale would be nice to have here.

Gilles updated this revision to Diff 2505.Jan 31 2018, 12:14 PM
Gilles marked an inline comment as done.

Add comment

Gilles updated this revision to Diff 2506.Jan 31 2018, 12:15 PM

Fix wording

fgiunchedi accepted this revision.Feb 1 2018, 9:57 AM
This revision is now accepted and ready to land.Feb 1 2018, 9:57 AM
This revision was automatically updated to reflect the committed changes.